org.apache.jmeter.gui

## Class SimpleCompoundEdit

- java.lang.Object
- - javax.swing.undo.AbstractUndoableEdit
  - - javax.swing.undo.CompoundEdit
    - - org.apache.jmeter.gui.SimpleCompoundEdit

- All Implemented Interfaces:
    Serializable, UndoableEdit

      public class SimpleCompoundEdit
      extends CompoundEdit

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.undo.CompoundEdit

      `edits`

    - ### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

      `RedoName, UndoName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCompoundEdit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEmpty()`
    `int` | `size()`

    - ### Methods inherited from class javax.swing.undo.CompoundEdit

      `addEdit, canRedo, canUndo, die, end, getPresentationName, getRedoPresentationName, getUndoPresentationName, isInProgress, isSignificant, lastEdit, redo, toString, undo`

    - ### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

      `replaceEdit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleCompoundEdit

          public SimpleCompoundEdit()

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Returns:
        boolean true if edits is empty

    - #### size

          public int size()

      Returns:
        size of edits

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.